﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Coupons Report
            </h1>
        </div>
        <div class="actions">
            @*<a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Print">
                    <i style="margin-top: 11px;" class="icon-printer fg-black"></i>
                </a>*@
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Share Report" ng-click="shareReport()">
                <i style="margin-top: 11px;" class="fg-black icon-share-2"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Email Participants" ng-click="MakeCampaign()">
                <i style="margin-top: 11px;" class="fg-black jbi-email"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="one-half place-left">
        <div class="half-size place-left">
            <div data-format="mm/dd/yyyy" data-effect="fade">
                <label>Registration start date</label>
                <input kendo-date-picker ng-model="Model.Filters.RegistrationStart" type="text" placeholder="mm/dd/yyyy" />
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="half-size place-left">
            <div data-format="mm/dd/yyyy" data-effect="fade">
                <label>Registration end date</label>
                <input kendo-date-picker ng-model="Model.Filters.RegistrationEnd" type="text" placeholder="mm/dd/yyyy" />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div>
        <form novalidate="" ng-submit="search()">
            <div class="place-left one-fourth padding-right20">
                <div class="input-control select">
                    <select ng-model="Model.Filters.CouponFilter" ng-options="obj.Value as obj.Text for obj in couponFilters()">
                        @*<option value='0'>All coupons</option>*@
                        @*<option value="{{temp.Value}}" ng-repeat="temp in couponFilters(Model.couponFilters)">{{temp.Text}}</option>*@
                    </select>
                </div>
            </div>
            <input class="default button place-right" type="submit" value="Filter data" ng-click="filterData()">
            <div class="clearfix"></div>
            <input class="default button place-right" type="submit" value="Clear filter(s)" ng-click="clearFilters()">
        </form>
        <div class="clearfix"></div>
    </div>
    <br />
    <label for="searchCoupon">Search by participant email or first name or last name</label>
    <div class="input-control text" data-role="input-control">
        <input ng-model="searchTerm" id="searchCoupon" type="text" placeholder="" ng-change="">
        <button class="btn-search" tabindex="-1" type="button" ng-click="filterData()"></button>
    </div>
    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="CouponReportGrid" options="CouponReportGridOptions" class="resizable scroll"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
